<?php
 
require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

class modControlField  {
  private $field_sum;
  private $field_def;
  private $entry_def;
  private $control_opt;
  
  public function __construct($lo_id, $en_id, $ct_id, $mi_id, $cf_id, $ca_id) {

    $this->lo_id = isset($lo_id) ? $lo_id : 0;
    $this->en_id = isset($en_id) ? $en_id : 0;  
    $this->ct_id = isset($ct_id) ? $ct_id : 0;  
    $this->mi_id = isset($mi_id) ? $mi_id : 0;  
    $this->cf_id = isset($cf_id) ? $cf_id : 0;  
    $this->ca_id = isset($ca_id) ? $ca_id : 0;  


    $dal = new DAL();

    $sql = "SELECT name FROM login WHERE id = $this->lo_id LIMIT 1 ";
    $this->login_name = $dal->query($sql)->name;

    $sql = "UPDATE controlcontext SET sumid=$this->en_id, selid=$this->ct_id " .
           "WHERE menuitem_id = 2 AND field = 'fkyControlType' ";
    $this->result = $dal->query($sql);

    $sql = "UPDATE controlcontext SET sumid=$this->ct_id, selid=$this->mi_id " .
           "WHERE menuitem_id = 2 AND field = 'fkyMenuItem' ";
    $this->result = $dal->query($sql);

    $sql = "UPDATE controlcontext SET sumid=$this->mi_id, selid=$this->cf_id " .
           "WHERE menuitem_id = 2 AND field = 'sumControlFields' ";
    $this->result = $dal->query($sql);
    
    $sql = "UPDATE controlcontext SET sumid=$this->cf_id, selid=$this->ca_id " .
           "WHERE menuitem_id = 2 AND field = 'sumControlAttrs' ";
    $this->result = $dal->query($sql);

    $sql = "SELECT field, label, idx, filter, refine, " .
           "targetform, sumid, selid, width, type, attr " .
           "FROM controlcontext WHERE menuitem_id = 2 " .
           "ORDER by idx DESC";
    $this->selectors = $dal->query($sql);

    $this->cfform_data = $this->formData (46);  
//$cnt = count($this->cfform_data);
//print_r (" dcnt:$cnt");
    $this->cfform_seq  = $this->formSeq (46);  
//$cnt = count($this->cfform_seq);
//print_r (" scnt:$cnt");
    $this->caform_data = $this->formData (44); 
    $this->caform_seq = $this->formSeq (44); 
    
    $this->table_header = ["Field", "Control"];

    $default = array ("id"=>0,
               "menuitem_id"=>0,      "menuitem_id_attr"=>"10",
               "field"=>"xxx",        "field_attr"=>"",
               "controlobject_id"=>0, "controlobject_id_attr"=>"",
               "formhandler_id"=>0,   "formhandler_id_attr"=>"",
               "complete_ind"=>1,     "complete_ind_attr"=>"");
    $this->field_defs = $this->toObject ($default);

    $default = array ("id"=>0, 
      "controlfield_id"=>0, "controlfield_id_attr"=>"10",
      "attribute"=>"",      "attribute_attr"=>"",
      "value"=>"",          "value_attr"=>"");
    $this->entry_defs = $this->toObject ($default);
    
    $sql = "SELECT 0 AS id, 'Select' AS text " .
           "UNION ALL " .
           "SELECT id, control AS text FROM controlobject ORDER BY 'text' ";
    $this->control_opt = $dal->query($sql);
  }

  function formData($fh_id) {
    $dal = new DAL();
    $sql = "SELECT field, keytype, dbcolumn, label, " .
           "0 AS newvalue, 0 AS dbvalue, '' AS newtext, '' AS dbtext, " .
           "mandatory, uniquekey, confirm, commit, message " .
           "FROM controlfield WHERE formhandler_id = $fh_id ";
    $result = $dal->query($sql);
//print_r ("res:");
//print_r ($result);  
//print_r ("<br>");

    $object = new stdClass();
    foreach ($result as $key => $value) {
      $key = $value->field;
      $object->$key = $value;
    }
//print_r ("obj:");
//print_r ($object);  
//print_r ("<br>");
    return json_encode($object);
  }    

  function formSeq($fh_id) {
    $dal = new DAL();
    $sql = "SELECT sender AS field, receiver, comkey " .
           "FROM controlsequent " .
           "WHERE formhandler_id = $fh_id " .
           "ORDER BY field ";
    $result = $dal->query($sql);

    $object = new stdClass();
    $key = "";
    $currField = '';
    $sequents = [];
    foreach ($result as $key => $value) {
//print_r (" current:");
//print_r ($currField); 
//print_r (" field:");
//print_r ($value->field); 
//print_r ("<br>"); 
//print_r (" seq1:");
//print_r ($sequents);    
//print_r ("<br>");
//print_r ("<br>");
      if ($currField != $value->field) {
        $key = $currField;
        if ($currField != "")
          $object->$currField = $sequents;
        $sequents = [];
      }
      $sequents[] = $value;
//print_r (" seq1:");
//print_r ($sequents); 
//print_r ("<br>");
//print_r ("<br>");
//      if ($value->field != $currField) {
//        if ($currfield != "")
//        $sequents = [];
        $currField = $value->field;
//      }        
    }
//print_r (" current:"); 
//print_r ($currField); 
//print_r (" field:");
//print_r ($value->field); 
//print_r ("<br>");
//print_r (" seq2:");
//print_r ($sequents);    
//print_r ("<br>");
//print_r ("<br>");
        if ($currField != "")
    $object->$currField = $sequents;
    
//print_r ("obj:");
//print_r ($object);  
//print_r ("<br>");
    return json_encode($object);

  }    

  private function toObject($array) {
    $object = new stdClass();
    foreach ($array as $key => $value) {
      if (is_array($value)) {
        $value = $this->toObject($value);
      }
      $object->$key = $value;
    }
    return $object;
  }

  public function get($prop) {
    return $this->$prop;
  }
  
}

?>