<?php
session_start();

require_once($_SERVER["DOCUMENT_ROOT"] . "/sys/access.php");

if(!$access->CheckLogin()){
  $access->RedirectToURL("/login/login.php");
  exit;
}

define("PUBLIC_ACCESS", 1);
?>

<!DOCTYPE html>
<html lang="en">

<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta http-equiv="Content-Language" content="en-us">
  <title>Live Search Field</title>
  
  <link rel="stylesheet" href="/ext/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="/ext/bootstrap/bootstrap-theme.min.css">
  <link rel="stylesheet" href="/site/css/stickythead.css">
  <link rel="stylesheet" href="/site/css/bootstrap.css">
  <link rel="stylesheet" href="/site/css/slider.css">
  <link rel="stylesheet" href="/site/css/style.css">

  <script src="/ext/jquery/jquery-3.1.1.min.js"></script>
  <script src="/ext/bootstrap/bootstrap.min.js"></script>
  <script src="/ext/jquery/jquery.stickytableheaders.min.js"></script>
  <script src="/site/js/main.js"></script>

<style>

body {
  font-family:'Courier New';
  font-size:16px;
  font-weight:600;
  color:#000;
}

.highlight {
  background:yellow;
}

.btn {
    width:160px;    
}

label {
  margin-bottom:0px;
}

.table>td { 
  vertical-align:bottom;    
}

td > * {
  width:100%;
}

select, input {
 height:28px;
 width:100%;
}

input[type=checkbox] {
  height:20px;
  width:20px;
  vertical-align:middle;
}

.selselTableCell tr:hover{
    background-color: rgba(41, 103, 182, 0.89);
    color: #FFF;
}

.selected{
    background-color: rgba(41, 103, 182, 0.89);
    color: #FFF;
}

</style>

</head>
<body>
 
<?php 

// Include the MVC class definitions
$docRoot = $_SERVER['DOCUMENT_ROOT'];
$toolkit = "$docRoot/toolkit";
require_once ("$toolkit/selector.php");
require_once ("$toolkit/livesearch.php");

require_once ("$docRoot/sys/init.php");
require_once ("$docRoot/sys/panel.php");
require_once ("$docRoot/livesearchfield/model.php");
require_once ("$docRoot/livesearchfield/view.php");

$lo_id = (isset($_SESSION["login"])) ? $_SESSION["login"] : 0;
$st_id = isset($_SESSION["activestatus"]) ? $_SESSION["activestatus"] : 0;
//$cf_id = isset($_SESSION["livesearchfield"]) ? $_SESSION["livesearchfield"] : 0;

//print_r ("mm:$mm_id ci:$ci_id");      

// Initialize model
$liveSearchField = new modLiveSearchField($lo_id, $st_id);

$liveSearchFieldView = new modLiveSearchFieldView($liveSearchField);
echo $liveSearchFieldView->output();

?>

</body>
</html>

